| Home | Libraries | People | FAQ | More

#### overlaps

Checks if two geometries overlap.

###### Synopsis

    template<typename Geometry1, typename Geometry2>
    bool overlaps(Geometry1 const & geometry1, Geometry2 const & geometry2)

###### Parameters

Type | Concept | Name | Description
--- | --- | --- | ---
Geometry1 const & |  | geometry1 |
Geometry2 const & |  | geometry2 |

###### Returns

Returns true if two geometries overlap

###### Header

Either

`#include <boost/geometry/geometry.hpp>`

Or

`#include <boost/geometry/algorithms/overlaps.hpp>`